%define pkgname glade3
%define cvsdate	20050723

%define major 	1
%define libname %mklibname gladeui 1_0

Summary: 	GTK+ / GNOME 2 widget builder
Name: 		%{pkgname}
Version: 	3.0.0
Release: 	0.%cvsdate.1mdk
License: 	LGPL
Url: 		http://glade.gnome.org/
Group: 		Development/GNOME and GTK+
Source0: 	%{name}-%{cvsdate}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
#Provides: 	glade3 = %{version}
BuildRequires: 	libxml2-devel
BuildRequires: 	libgnomeprintui-devel
BuildRequires: 	perl-XML-Parser
BuildRequires:	ImageMagick

%description
Glade is a Widget builder for Gtk/gnome. 
It allows to create a gtk/gnome interface in C, C++, Ada and Perl

This version of Glade (Glade-3) is a complete rewrite of the original
Glade codebase.
It has useful new features (Undo/Redo, MultiProject support) and has a
cleaner architecture, note however that it is not ready yet for everyday
use and lacks support for additional widgets, as Gnome and Gnome-db widgets.
One of the main differnces from glade-2 is that C code generation has been
removed from glade-3: this has been done on purpose, since using generated
code is deprecated; the preferred way to use glade files is with libglade.
Another important thing to note is that the XML format has _not_ changed,
so you can work on the same project both with glade-3 and with glade-2.
For a more details on what has changed, what still needs work, etc. see
the NEWS, BUGS and TODO files.
Comments, bug reports and patches are more than welcome.

%package -n %{libname}
Summary:	Libraries required for glade-3
Group:		System/Libraries
Provides:	libgladeui = %{version}

%description -n %{libname}
Libraries and file require to run program built with glade-3

%package -n %{libname}-devel
Summary:	Static libraries, include files for libgladeui (glade-3)
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	libgladeui-devel = %{version}-%{release}
Provides:	glade3-devel = %{version}-%{release}
Provides:	libgladeui%{major}-devel = %{version}-%{release}

%description -n %{libname}-devel
Static library, headers files and documentation needed in order
to develop applications using libgladeui (glade-3).

%prep
%setup -q -n %{name}
./autogen.sh

%build
%configure2_5x
%make

%install
rm -fr %buildroot
%makeinstall_std
%{find_lang} %{name}-2.0 --with-gnome --all-name

# menu
install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/glade-3" needs="X11" icon="%{name}.png"\
  section="Applications/Development/Development Environments" \
  title="Glade 3" longtitle="GTK/GNOME 3 Widget Builder" startup_notify="true"
EOF

mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_liconsdir}
convert -size 16x16 glade-3.png %{buildroot}%{_miconsdir}/%{name}.png
convert -size 32x32 glade-3.png %{buildroot}%{_iconsdir}/%{name}.png
convert -size 48x48 glade-3.png %{buildroot}%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -fr %buildroot

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/glade-3
%{_libdir}/glade-3/modules/libgladegtk.so
%{_datadir}/glade-3
%{_datadir}/pixmaps/glade-3.png
%{_datadir}/applications/glade-3.desktop
%{_menudir}/%name
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{libname}-devel
%{_includedir}/libgladeui-1.0/
%{_libdir}/glade-3/modules/libgladegtk.la
%{_libdir}/pkgconfig/libgladeui-1.0.pc
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Sat Jul 23 2005 Austin Acton <austin@mandriva.org> 3.0.0-0.20050723.1mdk
- new cvs checkout
- handier cvs settings in spec

* Wed May 18 2005 Austin Acton <austin@mandriva.org> 3.0.0-0.20050516.1mdk
- from Tigrux <tigrux@ximian.com> :
  - first rpm for mandriva linux
- minor spec cleanups
- add menu entry
- ldconfig entries
